Bug 1758891 - tracker-devel subpackage missing from el8 repos
Summary: tracker-devel subpackage missing from el8 repos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: tracker
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Kalev Lember
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-06 16:01 UTC by Andrew Bauer
Modified: 2020-11-04 01:36 UTC (History)
4 users (show)

Fixed In Version: tracker-2.1.5-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:52 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:35:17 UTC

Description Andrew Bauer 2019-10-06 16:01:38 UTC
Description of problem:
tracker-devel is an optional build dependency of the netatalk package, which I maintain. However, netatalk fails to Koji build due to missing tracker-devel.

Version-Release number of selected component (if applicable):
2.1.5-1

How reproducible:
always

Steps to Reproduce:
1. dnf install tracker-devel


Actual results:
dnf fails to find tracker-devel

Expected results:
dnf successfully installs tracker-devel

Additional info:
According to the spec file, the -devel subpackage should exist.

Comment 1 Kalev Lember 2019-10-09 12:30:45 UTC
jwb, do you know what's going on here that tracker-devel isn't in the repos that epel uses?

Comment 2 Josh Boyer 2019-10-09 12:34:34 UTC
(In reply to Kalev Lember from comment #1)
> jwb, do you know what's going on here that tracker-devel isn't in the repos
> that epel uses?

Red Hat Enterprise Linux 8 is not a self-hosting distribution and was intentionally scoped in the content provided.  tracker-devel was not included in the shipping content.

Comment 4 Andrew Bauer 2019-10-09 12:39:17 UTC
Gents - so where do we go from here? tracker-devel exists for el7, so shouldn't there be some way to get it into el8 as well?

Comment 13 Kalev Lember 2020-06-23 13:21:04 UTC
OK, this should be fixed in RHEL 8.3.0 GA where tracker-devel is added to the CRB listing.

Comment 17 errata-xmlrpc 2020-11-04 01:34:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.